[arch-commits] Commit in deluge/repos/extra-any (13 files)

Jan Steffens heftig at archlinux.org
Fri Mar 9 12:52:27 EST 2012


    Date: Friday, March 9, 2012 @ 12:52:27
  Author: heftig
Revision: 152817

archrelease: copy trunk to extra-any

Added:
  deluge/repos/extra-any/PKGBUILD
    (from rev 152816, deluge/trunk/PKGBUILD)
  deluge/repos/extra-any/deluge-web
    (from rev 152816, deluge/trunk/deluge-web)
  deluge/repos/extra-any/deluge-web.service
    (from rev 152816, deluge/trunk/deluge-web.service)
  deluge/repos/extra-any/deluge.install
    (from rev 152816, deluge/trunk/deluge.install)
  deluge/repos/extra-any/deluge.tmpfiles.conf
    (from rev 152816, deluge/trunk/deluge.tmpfiles.conf)
  deluge/repos/extra-any/deluged
    (from rev 152816, deluge/trunk/deluged)
  deluge/repos/extra-any/deluged.conf
    (from rev 152816, deluge/trunk/deluged.conf)
  deluge/repos/extra-any/deluged.service
    (from rev 152816, deluge/trunk/deluged.service)
Deleted:
  deluge/repos/extra-any/PKGBUILD
  deluge/repos/extra-any/deluge-web
  deluge/repos/extra-any/deluge.install
  deluge/repos/extra-any/deluged
  deluge/repos/extra-any/deluged.conf.d

----------------------+
 PKGBUILD             |  105 ++++++++++++++++++++++++++-----------------------
 deluge-web           |   87 +++++++++++++++++++++-------------------
 deluge-web.service   |    8 +++
 deluge.install       |   58 +++++++++++++--------------
 deluge.tmpfiles.conf |    1 
 deluged              |   85 +++++++++++++++++++--------------------
 deluged.conf         |    2 
 deluged.conf.d       |    1 
 deluged.service      |    9 ++++
 9 files changed, 192 insertions(+), 164 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2012-03-09 17:50:37 UTC (rev 152816)
+++ PKGBUILD	2012-03-09 17:52:27 UTC (rev 152817)
@@ -1,49 +0,0 @@
-# $Id$
-# Maintainer: Jan "heftig" Steffens <jan.steffens at gmail.com>
-# Contributor: Ionut Biru <ibiru at archlinux.org>
-# Contributor: Hugo Doria <hugo at archlinux.org>
-
-pkgname=deluge
-pkgver=1.3.3
-pkgrel=5
-pkgdesc="A BitTorrent client with multiple user interfaces in a client/server model"
-arch=('any')
-url="http://deluge-torrent.org/"
-license=('GPL3')
-depends=('pyxdg' 'libtorrent-rasterbar>=0.15.0' 'twisted' 'python2-pyopenssl'
-         'xdg-utils' 'python2-chardet' 'desktop-file-utils' 'hicolor-icon-theme'
-         'python2-distribute')
-makedepends=('intltool' 'pygtk' 'librsvg' 'python2-mako')
-optdepends=('python-notify: libnotify notifications'
-            'pygtk: needed for gtk ui'
-            'librsvg: needed for gtk ui'
-            'python2-mako: needed for web ui')
-backup=(etc/conf.d/deluged)
-install=deluge.install
-source=(http://download.deluge-torrent.org/source/$pkgname-$pkgver.tar.bz2
-        deluged deluged.conf.d deluge-web)
-md5sums=('4027c60bb5d1c5da61e97a47e62ab1ab'
-         '7d5790eeb14cd0b47d1bb3e0a19c9935'
-         '332d23fe0d21ce92b494efd73322856c'
-         '6c913ec7322eaa60494ac9d53103005f')
-
-build() {
-  cd "$srcdir/$pkgname-$pkgver"
-  python2 setup.py build
-}
-
-package() {
-  cd "$srcdir/$pkgname-$pkgver"
-  python2 setup.py install --prefix=/usr --root="$pkgdir" --optimize=1
-  install -Dm644 deluge/data/pixmaps/deluge.svg "$pkgdir/usr/share/pixmaps/deluge.svg"
-
-  _dir="$pkgdir/usr/lib/python2.7/site-packages/deluge/ui"
-  sed -e '1s/python$/&2/' \
-      -i "$_dir/Win32IconImagePlugin.py" \
-      -i "$_dir/web/gen_gettext.py"
-
-  install -d "$pkgdir/srv/deluge"
-  install -D "$srcdir/deluged" "$pkgdir/etc/rc.d/deluged"
-  install -D "$srcdir/deluge-web" "$pkgdir/etc/rc.d/deluge-web"
-  install -Dm644 "$srcdir/deluged.conf.d" "$pkgdir/etc/conf.d/deluged"
-}

Copied: deluge/repos/extra-any/PKGBUILD (from rev 152816, deluge/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2012-03-09 17:52:27 UTC (rev 152817)
@@ -0,0 +1,56 @@
+# $Id$
+# Maintainer: Jan "heftig" Steffens <jan.steffens at gmail.com>
+# Contributor: Ionut Biru <ibiru at archlinux.org>
+# Contributor: Hugo Doria <hugo at archlinux.org>
+
+pkgname=deluge
+pkgver=1.3.4
+pkgrel=1
+pkgdesc="A BitTorrent client with multiple user interfaces in a client/server model"
+arch=('any')
+url="http://deluge-torrent.org/"
+license=('GPL3')
+depends=('pyxdg' 'libtorrent-rasterbar>=0.15.0' 'twisted' 'python2-pyopenssl'
+         'xdg-utils' 'python2-chardet' 'desktop-file-utils' 'hicolor-icon-theme'
+         'python2-distribute')
+makedepends=('intltool' 'pygtk' 'librsvg' 'python2-mako')
+optdepends=('python-notify: libnotify notifications'
+            'pygtk: needed for gtk ui'
+            'librsvg: needed for gtk ui'
+            'python2-mako: needed for web ui')
+backup=(etc/conf.d/deluged)
+install=deluge.install
+source=(http://download.deluge-torrent.org/source/$pkgname-$pkgver.tar.bz2
+        deluge.tmpfiles.conf deluged deluge-web deluged.service deluge-web.service deluged.conf)
+md5sums=('44166604853180bb44de2d86b3705bf7'
+         'c50385d32a2db0ef3f46b8caadb0e988'
+         'd58897b9deab9c46c1cff24c30e0f92a'
+         '358dcf943f2251abee6caac62cb10f40'
+         '496f1709ca609e65b8bd592c3705f596'
+         '6a30f7a98ee234b08e255e81f08a65d8'
+         '71d556cf7ce3bb59391797827347e80c')
+
+build() {
+  cd $pkgname-$pkgver
+  python2 setup.py build
+}
+
+package() {
+  cd $pkgname-$pkgver
+  python2 setup.py install --prefix=/usr --root="$pkgdir" --optimize=1
+  install -Dm644 deluge/data/pixmaps/deluge.svg "$pkgdir/usr/share/pixmaps/deluge.svg"
+
+  _dir="$pkgdir/usr/lib/python2.7/site-packages/deluge/ui"
+  sed -e '1s/python$/&2/' \
+      -i "$_dir/Win32IconImagePlugin.py" \
+      -i "$_dir/web/gen_gettext.py"
+
+  cd ..
+  install -d "$pkgdir/srv/deluge"
+  install -Dm644 deluge.tmpfiles.conf "$pkgdir/usr/lib/tmpfiles.d/deluge.conf"
+  install -D deluged "$pkgdir/etc/rc.d/deluged"
+  install -D deluge-web "$pkgdir/etc/rc.d/deluge-web"
+  install -Dm644 deluged.service "$pkgdir/lib/systemd/system/deluged.service"
+  install -Dm644 deluge-web.service "$pkgdir/lib/systemd/system/deluge-web.service"
+  install -Dm644 deluged.conf "$pkgdir/etc/conf.d/deluged"
+}

Deleted: deluge-web
===================================================================
--- deluge-web	2012-03-09 17:50:37 UTC (rev 152816)
+++ deluge-web	2012-03-09 17:52:27 UTC (rev 152817)
@@ -1,42 +0,0 @@
-#!/bin/bash
-
-. /etc/rc.conf
-. /etc/rc.d/functions
-. /etc/conf.d/deluged
-
-[[ -f /var/run/deluge-web.pid ]] && PID=$(cat /var/run/deluge-web.pid)
-[[ -d /proc/$PID ]] || PID=
-
-case "$1" in
-  start)
-    stat_busy "Starting Deluge WebUI"
-    [[ -z $PID ]] && su -l -s /bin/sh -c "/usr/bin/deluge-web -f >/dev/null" $DELUGE_USER
-    if [ $? -gt 0 ]; then
-      stat_fail
-    else
-      sleep 1
-      echo $(pgrep -u $DELUGE_USER deluge-web) > /var/run/deluge-web.pid
-      add_daemon deluge-web
-      stat_done
-    fi
-    ;;
-  stop)
-    stat_busy "Stopping Deluge WebUI"
-    [[ ! -z $PID ]] && kill $PID &> /dev/null
-    if [ $? -gt 0 ]; then
-      stat_fail
-    else
-      rm /var/run/deluge-web.pid
-      rm_daemon deluge-web
-      stat_done
-    fi
-    ;;
-  restart)
-    $0 stop
-    sleep 1
-    $0 start
-    ;;
-  *)
-    echo "usage: $0 {start|stop|restart}"
-esac
-exit 0

Copied: deluge/repos/extra-any/deluge-web (from rev 152816, deluge/trunk/deluge-web)
===================================================================
--- deluge-web	                        (rev 0)
+++ deluge-web	2012-03-09 17:52:27 UTC (rev 152817)
@@ -0,0 +1,45 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+. /etc/conf.d/deluged
+
+PIDFILE=/run/deluge/deluge-web.pid
+WEB_OPTIONS="-f $WEB_OPTIONS"
+
+[[ -f $PIDFILE ]] && PID=$(<$PIDFILE)
+kill -0 $PID || PID=
+
+case "$1" in
+  start)
+    stat_busy "Starting Deluge WebUI"
+    [[ -z $PID ]] && su -l -s /bin/sh -c "/usr/bin/deluge-web $WEB_OPTIONS >/dev/null" deluge
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      sleep 1
+      echo $(pgrep -u deluge deluge-web) > $PIDFILE
+      add_daemon deluge-web
+      stat_done
+    fi
+    ;;
+  stop)
+    stat_busy "Stopping Deluge WebUI"
+    [[ ! -z $PID ]] && kill $PID &> /dev/null
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      rm $PIDFILE
+      rm_daemon deluge-web
+      stat_done
+    fi
+    ;;
+  restart)
+    $0 stop
+    sleep 1
+    $0 start
+    ;;
+  *)
+    echo "usage: $0 {start|stop|restart}"
+esac
+exit 0

Copied: deluge/repos/extra-any/deluge-web.service (from rev 152816, deluge/trunk/deluge-web.service)
===================================================================
--- deluge-web.service	                        (rev 0)
+++ deluge-web.service	2012-03-09 17:52:27 UTC (rev 152817)
@@ -0,0 +1,8 @@
+[Unit]
+Description=Deluge WebUI
+After=deluged.service
+
+[Service]
+User=deluge
+EnvironmentFile=/etc/conf.d/deluged
+ExecStart=/usr/bin/deluge-web $WEB_OPTIONS

Deleted: deluge.install
===================================================================
--- deluge.install	2012-03-09 17:50:37 UTC (rev 152816)
+++ deluge.install	2012-03-09 17:52:27 UTC (rev 152817)
@@ -1,29 +0,0 @@
-post_install() {
-  getent group deluge &>/dev/null || usr/sbin/groupadd -g 125 deluge
-  if ! getent passwd deluge &>/dev/null; then
-    useradd -c 'Deluge user' -u 125 -g deluge -d /srv/deluge -s /bin/false deluge
-    passwd -l deluge &>/dev/null
-  fi
-
-  chown deluge:deluge srv/deluge
-
-  post_upgrade
-
-cat << _EOF
->>> The standalone daemon started using /etc/rc.d/deluged uses the "deluge" user
-    by default. Its default download directory is /srv/deluge. You can change
-    the user by editing /etc/conf.d/deluged.
-_EOF
-}
-
-post_upgrade() {
-  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
-  update-desktop-database -q
-}
-
-post_remove() {
-  getent passwd deluge &>/dev/null && userdel deluge
-  getent group deluge &>/dev/null && groupdel deluge
-
-  post_upgrade
-}

Copied: deluge/repos/extra-any/deluge.install (from rev 152816, deluge/trunk/deluge.install)
===================================================================
--- deluge.install	                        (rev 0)
+++ deluge.install	2012-03-09 17:52:27 UTC (rev 152817)
@@ -0,0 +1,29 @@
+post_install() {
+  getent group deluge &>/dev/null || groupadd -g 125 deluge
+  if ! getent passwd deluge &>/dev/null; then
+    useradd -c 'Deluge user' -u 125 -g deluge -d /srv/deluge -s /bin/false deluge
+    passwd -l deluge &>/dev/null
+  fi
+
+  mkdir -p run/deluge
+  chown deluge:deluge srv/deluge run/deluge
+  
+  post_upgrade
+
+cat <<EOF
+>>> The optional headless daemon started using /etc/rc.d/deluged uses the "deluge" user.
+    Its default download directory is /srv/deluge.
+EOF
+}
+
+post_upgrade() {
+  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+  update-desktop-database -q
+}
+
+post_remove() {
+  getent passwd deluge &>/dev/null && userdel deluge
+  getent group deluge &>/dev/null && groupdel deluge
+
+  post_upgrade
+}

Copied: deluge/repos/extra-any/deluge.tmpfiles.conf (from rev 152816, deluge/trunk/deluge.tmpfiles.conf)
===================================================================
--- deluge.tmpfiles.conf	                        (rev 0)
+++ deluge.tmpfiles.conf	2012-03-09 17:52:27 UTC (rev 152817)
@@ -0,0 +1 @@
+d /run/deluge      0755 deluge deluge -

Deleted: deluged
===================================================================
--- deluged	2012-03-09 17:50:37 UTC (rev 152816)
+++ deluged	2012-03-09 17:52:27 UTC (rev 152817)
@@ -1,43 +0,0 @@
-#!/bin/bash
-
-. /etc/rc.conf
-. /etc/rc.d/functions
-. /etc/conf.d/deluged
-
-[[ -f /var/run/deluged.pid ]] && PID=$(cat /var/run/deluged.pid)
-[[ -d /proc/$PID ]] || PID=
-
-case "$1" in
-  start)
-    stat_busy "Starting Deluge Daemon"
-    [[ -z $PID ]] && su -l -s /bin/sh -c "/usr/bin/deluged >/dev/null" $DELUGE_USER
-    if [ $? -gt 0 ]; then
-      stat_fail
-    else
-      sleep 1
-      echo $(pgrep -u $DELUGE_USER deluged) > /var/run/deluged.pid
-      add_daemon deluged
-      stat_done
-    fi
-    ;;
-  stop)
-    stat_busy "Stopping Deluge Daemon"
-    [[ ! -z $PID ]] && kill $PID &> /dev/null
-    if [ $? -gt 0 ]; then
-      stat_fail
-    else
-      rm /var/run/deluged.pid
-      rm_daemon deluged
-      stat_done
-    fi
-    ;;
-  restart)
-    $0 stop
-    sleep 1
-    $0 start
-    ;;
-  *)
-    echo "usage: $0 {start|stop|restart}"
-esac
-exit 0
-

Copied: deluge/repos/extra-any/deluged (from rev 152816, deluge/trunk/deluged)
===================================================================
--- deluged	                        (rev 0)
+++ deluged	2012-03-09 17:52:27 UTC (rev 152817)
@@ -0,0 +1,42 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+. /etc/conf.d/deluged
+
+PIDFILE=/run/deluge/deluged.pid
+OPTIONS="-P $PIDFILE $OPTIONS"
+
+[[ -f $PIDFILE ]] && PID=$(<$PIDFILE)
+kill -0 $PID || PID=
+
+case "$1" in
+  start)
+    stat_busy "Starting Deluge Daemon"
+    [[ -z $PID ]] && su -l -s /bin/sh -c "/usr/bin/deluged $OPTIONS >/dev/null" deluge
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      add_daemon deluged
+      stat_done
+    fi
+    ;;
+  stop)
+    stat_busy "Stopping Deluge Daemon"
+    [[ ! -z $PID ]] && kill $PID &> /dev/null
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      rm_daemon deluged
+      stat_done
+    fi
+    ;;
+  restart)
+    $0 stop
+    sleep 1
+    $0 start
+    ;;
+  *)
+    echo "usage: $0 {start|stop|restart}"
+esac
+exit 0

Copied: deluge/repos/extra-any/deluged.conf (from rev 152816, deluge/trunk/deluged.conf)
===================================================================
--- deluged.conf	                        (rev 0)
+++ deluged.conf	2012-03-09 17:52:27 UTC (rev 152817)
@@ -0,0 +1,2 @@
+OPTIONS=""
+WEB_OPTIONS=""

Deleted: deluged.conf.d
===================================================================
--- deluged.conf.d	2012-03-09 17:50:37 UTC (rev 152816)
+++ deluged.conf.d	2012-03-09 17:52:27 UTC (rev 152817)
@@ -1 +0,0 @@
-DELUGE_USER="deluge"

Copied: deluge/repos/extra-any/deluged.service (from rev 152816, deluge/trunk/deluged.service)
===================================================================
--- deluged.service	                        (rev 0)
+++ deluged.service	2012-03-09 17:52:27 UTC (rev 152817)
@@ -0,0 +1,9 @@
+[Unit]
+Description=Deluge Daemon
+
+[Service]
+User=deluge
+EnvironmentFile=/etc/conf.d/deluged
+ExecStart=/usr/bin/deluged -P /run/deluge/deluged.pid $OPTIONS
+Type=forking
+PIDFile=/run/deluge/deluged.pid



More information about the arch-commits mailing list